Bug 19465

Summary: Allow choosing Elasticsearch server on instance creation
Product: Koha Reporter: Tomás Cohen Arazi <tomascohen>
Component: Command-line UtilitiesAssignee: Tomás Cohen Arazi <tomascohen>
Status: Pushed to oldstable --- QA Contact: Nick Clemens <nick>
Severity: normal    
Priority: P5 - low CC: bouzid.fergani, jonathan.druart, joy, katrin.fischer, lucas, martin.renvoize, mtompset, robin
Version: master   
Hardware: All   
OS: All   
See Also: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=19462
Change sponsored?: --- Patch complexity: ---
Who signed the patch off: Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.02
Attachments: Bug 19465: Add --elasticsearch-server option to koha-create
Bug 19465: Document koha-create --elasticsearch-server option switch
Bug 19465: Add --elasticsearch-server option to koha-create
Bug 19465: Document koha-create --elasticsearch-server option switch
Bug 19465: Add --elasticsearch-server option to koha-create
Bug 19465: Document koha-create --elasticsearch-server option switch
Bug 19465: Document koha-create --elasticsearch-server option switch
Bug 19465: Add --elasticsearch-server option to koha-create
Bug 19465: Document koha-create --elasticsearch-server option switch

Description Tomás Cohen Arazi 2017-10-13 18:49:23 UTC
An --elasticsearch-server option switch should be added to 'koha-create'.
Comment 1 Tomás Cohen Arazi 2017-10-13 19:05:15 UTC Comment hidden (obsolete)
Comment 2 Tomás Cohen Arazi 2017-10-13 19:05:21 UTC Comment hidden (obsolete)
Comment 3 Bouzid Fergani 2018-04-06 19:10:31 UTC
Hi Tomas,
Patch doesn't apply because it contain conflict in debian/scripts/koha-create
Thanks.
Bouzid.
Comment 4 Tomás Cohen Arazi 2018-04-10 15:29:41 UTC
Created attachment 73953 [details] [review]
Bug 19465: Add --elasticsearch-server option to koha-create

This patch adds the --elasticsearch-server option switch to koha-create.
It allows choosing a different Elasticsearch configuration. It defaults
to the current 'localhost:9200' value.

To test:
- Apply this patches
- Run:
  $ reset_all
  $ man koha-create
=> SUCCESS: The man page shows correct information about the added
option switch
- Run:
  $ sudo koha-create --create-db test
=> SUCCESS: /etc/koha/sites/test/koha-conf.xml contains the default
   value (i.e. the current behaviour is kept)
- Run:
  $ sudo koha-create --create-db --elasticsearch-server tomas:1234 test2
=> SUCCESS: /etc/koha/sites/test2/koha-conf.xml contains the passed
   value in the <elasticsearch><server> section.
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 5 Tomás Cohen Arazi 2018-04-10 15:29:46 UTC
Created attachment 73954 [details] [review]
Bug 19465: Document koha-create --elasticsearch-server option switch

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 6 M. Tompsett 2018-09-14 16:10:54 UTC
Also, please amend the test plan to include:
kshell kohadev
prove -v xt/verify-debian-docbook.t
-- koha-create will have passed.
Comment 7 M. Tompsett 2018-10-17 18:30:46 UTC
Created attachment 80748 [details] [review]
Bug 19465: Add --elasticsearch-server option to koha-create

This patch adds the --elasticsearch-server option switch to koha-create.
It allows choosing a different Elasticsearch configuration. It defaults
to the current 'localhost:9200' value.

To test:
- Apply this patches
- Run:
  $ reset_all
  $ man koha-create
=> SUCCESS: The man page shows correct information about the added
option switch
- Run:
  $ sudo koha-create --create-db test
=> SUCCESS: /etc/koha/sites/test/koha-conf.xml contains the default
   value (i.e. the current behaviour is kept)
- Run:
  $ sudo koha-create --create-db --elasticsearch-server tomas:1234 test2
=> SUCCESS: /etc/koha/sites/test2/koha-conf.xml contains the passed
   value in the <elasticsearch><server> section.
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 8 M. Tompsett 2018-10-17 18:30:50 UTC
Created attachment 80749 [details] [review]
Bug 19465: Document koha-create --elasticsearch-server option switch

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 9 Bouzid Fergani 2019-05-24 17:42:36 UTC
Created attachment 90074 [details] [review]
Bug 19465: Document koha-create --elasticsearch-server option switch

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>
Comment 10 Jonathan Druart 2019-12-05 16:01:34 UTC
Created attachment 96046 [details] [review]
Bug 19465: Add --elasticsearch-server option to koha-create

This patch adds the --elasticsearch-server option switch to koha-create.
It allows choosing a different Elasticsearch configuration. It defaults
to the current 'localhost:9200' value.

To test:
- Apply this patches
- Run:
  $ reset_all
  $ man koha-create
=> SUCCESS: The man page shows correct information about the added
option switch
- Run:
  $ sudo koha-create --create-db test
=> SUCCESS: /etc/koha/sites/test/koha-conf.xml contains the default
   value (i.e. the current behaviour is kept)
- Run:
  $ sudo koha-create --create-db --elasticsearch-server tomas:1234 test2
=> SUCCESS: /etc/koha/sites/test2/koha-conf.xml contains the passed
   value in the <elasticsearch><server> section.
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 11 Jonathan Druart 2019-12-05 16:01:38 UTC
Created attachment 96047 [details] [review]
Bug 19465: Document koha-create --elasticsearch-server option switch

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Signed-off-by: Bouzid Fergani <bouzid.fergani@inlibro.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 12 Martin Renvoize 2019-12-23 11:32:29 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 13 Joy Nelson 2020-01-12 18:43:35 UTC
Pushed to 19.11.x branch for 19.11.02
Comment 14 Lucas Gass 2020-01-13 22:36:16 UTC
backported to 19.05.x for 19.05.07